Skip to main content
GET
/
api2
/
v1
/
scim
/
Users
/
{userId}
Get user
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/scim/Users/{userId} \
  --header 'Authorization: <authorization>' \
  --header 'None: <api-key>'
import requests

url = "https://cloud.memsource.com/web/api2/v1/scim/Users/{userId}"

headers = {
"Authorization": "<authorization>",
"None": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>', None: '<api-key>'}};

fetch('https://cloud.memsource.com/web/api2/v1/scim/Users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "emails": [
    {
      "primary": true,
      "type": "<string>",
      "value": "<string>"
    }
  ],
  "name": {
    "familyName": "<string>",
    "givenName": "<string>"
  },
  "userName": "<string>",
  "active": true,
  "id": "<string>",
  "meta": {
    "created": "2023-11-07T05:31:56Z",
    "location": "<string>"
  },
  "schemas": "[ \"urn:ietf:params:scim:schemas:core:2.0:User\" ]"
}

Authorizations

None
string
header
required

No authentication required. This is used for public endpoints.

Headers

Authorization
string
required

Bearer token for SCIM authentication

Path Parameters

userId
integer<int64>
required

Internal numeric ID of the user

Response

OK

emails
object[]
required
Required array length: 1 - 2147483647 elements
name
object
required
userName
string
required
active
boolean

When true, the user account is active and can log in

id
string
read-only

Server-generated unique identifier; not writable by the client

meta
object

SCIM metadata for a resource

schemas
string[]
Example:

"[ \"urn:ietf:params:scim:schemas:core:2.0:User\" ]"